ncvalidator(1)

NAME
ncvalidator - validates a classic netCDF file against CDF file formats

SYNOPSIS

ncvalidator [-x] [-t] [-q] [-h] file

DESCRIPTION
ncvalidator checks the header of a netCDF file for whether it conforms the classic CDF file formats. If the input file is a valid NetCDF file, then a message of successful validation is printed on command-line output, for example, File "testfile.nc" is a valid NetCDF file. Otherwise, a NetCDF error message is printed.

OPTIONS

-x  Repair the null-byte padding in file header. The null-byte padding is required by the NetCDF Classic Format Specifications. PnetCDF enforces this requirement, but NetCDF has never enforced it. This option checks the header for locations where null bytes are expected and replaces them with null bytes if non-null bytes are found. The repaired file is then conformed with the specification and allows both PnetCDF and NetCDF libraries to read the file without reporting error code NC_ENOTNC or NC_ENULLPAD. Noted that this repair is done in place and users might want to backup the input file first. Once the file is repaired, one may run ncmpidiff command to compare the contents of two files.

-t  Turn on tracing mode, printing the progress of all successful metadata validation. When an error is detected, the tracing stops at the location of the error found.

-q  Quiet mode - print nothing on the command-line output. When in quiet mode, users should check exit status. See below in "EXIT STATUS".

-h  Print the available command-line options

EXIT STATUS
An exit status of 0 means the file is conform with the classic CDF file format, and 1 means otherwise. Note on VMS-based system, the exit status values are reversed.

SEE ALSO

ncmpidump(1), pnetcdf(3)

DATE
February 21, 2022